diff --git a/components/boards/pca10040.h b/components/boards/pca10040.h
index 32fb4c6..2938b29 100644
--- a/components/boards/pca10040.h
+++ b/components/boards/pca10040.h
@@ -170,9 +170,9 @@ extern "C" {
 #define ARDUINO_A5_PIN              31    // Analog channel 5
 
 // Low frequency clock source to be used by the SoftDevice
-#define NRF_CLOCK_LFCLKSRC      {.source        = NRF_CLOCK_LF_SRC_XTAL,            \
-                                 .rc_ctiv       = 0,                                \
-                                 .rc_temp_ctiv  = 0,                                \
+#define NRF_CLOCK_LFCLKSRC      {.source        = NRF_CLOCK_LF_SRC_RC,            \
+                                 .rc_ctiv       = 16,                                \
+                                 .rc_temp_ctiv  = 2,                                \
                                  .xtal_accuracy = NRF_CLOCK_LF_XTAL_ACCURACY_20_PPM}
 
 #ifdef __cplusplus
diff --git a/components/libraries/bootloader/ble_dfu/nrf_ble_dfu.c b/components/libraries/bootloader/ble_dfu/nrf_ble_dfu.c
index 9c1003c..6ca90fd 100644
--- a/components/libraries/bootloader/ble_dfu/nrf_ble_dfu.c
+++ b/components/libraries/bootloader/ble_dfu/nrf_ble_dfu.c
@@ -220,8 +220,8 @@ static uint32_t advertising_start(void)
     err_code = sd_ble_gap_adv_start(&adv_params);
     VERIFY_SUCCESS(err_code);
 
-    nrf_gpio_pin_clear(ADVERTISING_LED_PIN_NO);
-    nrf_gpio_pin_set(CONNECTED_LED_PIN_NO);
+/*    nrf_gpio_pin_clear(ADVERTISING_LED_PIN_NO);
+    nrf_gpio_pin_set(CONNECTED_LED_PIN_NO);*/
 
     m_flags |= DFU_BLE_FLAG_IS_ADVERTISING;
     return NRF_SUCCESS;
@@ -616,8 +616,8 @@ static void on_ble_evt(ble_evt_t * p_ble_evt)
     switch (p_ble_evt->header.evt_id)
     {
         case BLE_GAP_EVT_CONNECTED:
-            nrf_gpio_pin_clear(CONNECTED_LED_PIN_NO);
-            nrf_gpio_pin_set(ADVERTISING_LED_PIN_NO);
+           /* nrf_gpio_pin_clear(CONNECTED_LED_PIN_NO);
+            nrf_gpio_pin_set(ADVERTISING_LED_PIN_NO);*/
 
             m_conn_handle    = p_ble_evt->evt.gap_evt.conn_handle;
             m_flags &= ~DFU_BLE_FLAG_IS_ADVERTISING;
@@ -724,13 +724,13 @@ static void ble_evt_dispatch(ble_evt_t * p_ble_evt)
  *
  * @details     Initializes all LEDs used by this application.
  */
-static void leds_init(void)
+/*static void leds_init(void)
 {
     nrf_gpio_cfg_output(ADVERTISING_LED_PIN_NO);
     nrf_gpio_cfg_output(CONNECTED_LED_PIN_NO);
     nrf_gpio_pin_set(ADVERTISING_LED_PIN_NO);
     nrf_gpio_pin_set(CONNECTED_LED_PIN_NO);
-}
+}*/
 
 
 static uint32_t gap_address_change(void)
@@ -962,7 +962,7 @@ uint32_t ble_dfu_transport_init(void)
 
     m_flags &= ~DFU_BLE_FLAG_NONE;
 
-    leds_init();
+    //leds_init();
 
     err_code = ble_stack_init(true);
     VERIFY_SUCCESS(err_code);
diff --git a/components/libraries/bootloader/dfu/nrf_dfu.c b/components/libraries/bootloader/dfu/nrf_dfu.c
index 1de9ebc..27a972a 100644
--- a/components/libraries/bootloader/dfu/nrf_dfu.c
+++ b/components/libraries/bootloader/dfu/nrf_dfu.c
@@ -67,10 +67,10 @@
  */
 __WEAK bool nrf_dfu_enter_check(void)
 {
-    if (nrf_gpio_pin_read(BOOTLOADER_BUTTON) == 0)
+/*    if (nrf_gpio_pin_read(BOOTLOADER_BUTTON) == 0)
     {
         return true;
-    }
+    }*/
 
     if (s_dfu_settings.enter_buttonless_dfu == 1)
     {
diff --git a/components/softdevice/s332/headers/nrf_sdm.h b/components/softdevice/s332/headers/nrf_sdm.h
index 58b1b92..c4b6b78 100644
--- a/components/softdevice/s332/headers/nrf_sdm.h
+++ b/components/softdevice/s332/headers/nrf_sdm.h
@@ -158,7 +158,7 @@ the start of the softdevice (without MBR)*/
     You MUST obtain a valid commercial license key BEFORE releasing a product to market that uses the ANT SoftDevices. For
     more information about licensing please visit the website below:
     https://www.thisisant.com/developer/ant/licensing */
-//#define ANT_LICENSE_KEY "3831-521d-7df9-24d8-eff3-467b-225f-a00e" // This is an EVALUATION license key - DO NOT USE FOR COMMERCIAL PURPOSES
+#define ANT_LICENSE_KEY "3831-521d-7df9-24d8-eff3-467b-225f-a00e" // This is an EVALUATION license key - DO NOT USE FOR COMMERCIAL PURPOSES
 #ifndef ANT_LICENSE_KEY
    #error "You must obtain a valid license key to use ANT. You may use the evaluation key for non commercial use only by uncommenting it above this error. Commercial use license keys are available from ANT Wireless."
 #endif
diff --git a/examples/dfu/bootloader_secure/main.c b/examples/dfu/bootloader_secure/main.c
index 3170389..c309258 100644
--- a/examples/dfu/bootloader_secure/main.c
+++ b/examples/dfu/bootloader_secure/main.c
@@ -75,6 +75,7 @@ void app_error_handler_bare(uint32_t error_code)
 
 /**@brief Function for initialization of LEDs.
  */
+#if 0 
 static void leds_init(void)
 {
     bsp_board_leds_init();
@@ -90,7 +91,7 @@ static void buttons_init(void)
                              BUTTON_PULL,
                              NRF_GPIO_PIN_SENSE_LOW);
 }
-
+#endif
 
 /**@brief Function for application main entry.
  */
@@ -102,8 +103,8 @@ int main(void)
 
     NRF_LOG_INFO("Inside main\r\n");
 
-    leds_init();
-    buttons_init();
+   /* leds_init();
+    buttons_init();*/
 
     ret_val = nrf_bootloader_init();
     APP_ERROR_CHECK(ret_val);
diff --git a/examples/multiprotocol/ble_ant_app_hrm/main.c b/examples/multiprotocol/ble_ant_app_hrm/main.c
index df7d5a2..6b4934c 100644
--- a/examples/multiprotocol/ble_ant_app_hrm/main.c
+++ b/examples/multiprotocol/ble_ant_app_hrm/main.c
@@ -832,8 +832,8 @@ int main(void)
     // Initialize S332 SoftDevice
     ble_ant_stack_init();
 
-    err_code = bsp_init(BSP_INIT_LED | BSP_INIT_BUTTONS, APP_TIMER_TICKS(100, APP_TIMER_PRESCALER), NULL);
-    APP_ERROR_CHECK(err_code);
+    /*err_code = bsp_init(BSP_INIT_LED | BSP_INIT_BUTTONS, APP_TIMER_TICKS(100, APP_TIMER_PRESCALER), NULL);
+    APP_ERROR_CHECK(err_code);*/
     // err_code = bsp_buttons_enable((1 << WAKEUP_BUTTON_ID) | (1 << BOND_DELETE_ALL_BUTTON_ID));
     // APP_ERROR_CHECK(err_code);
 
